Bug 1140366 - redis EPEL6 version is old
Summary: redis EPEL6 version is old
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: redis
Version: el6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nathan Scott
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 853029 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-09-10 18:40 UTC by Bill Nottingham
Modified: 2017-09-14 00:46 UTC (History)
10 users (show)

Fixed In Version: redis-3.2.10-2.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-04 17:48:26 UTC


Attachments (Terms of Use)

Description Bill Nottingham 2014-09-10 18:40:07 UTC
Description of problem:

Current EPEL 6 version of Redis is 2.4.10. Current upstream is two major releases later - 2.8.x.

Version-Release number of selected component (if applicable):

2.4.10-1.el6

How reproducible:

100%

Steps to Reproduce:
1. look at EPEL
2. look at redis.io

Comment 1 James Laska 2014-11-12 15:13:43 UTC
I've successfully built 2.8.14-2 on el6 without issue.  Any chance we can update redis on el6?

Comment 2 James Laska 2014-11-12 15:36:23 UTC
(In reply to James Laska from comment #1)
> I've successfully built 2.8.14-2 on el6 without issue.  Any chance we can
> update redis on el6?

Also installed and running 2.8.14-2 on el6.  No major issues so far.

Comment 3 Carl George 2016-02-19 23:23:14 UTC
One alternative solution is to use the redis28u or redis30u packages provided by the IUS project [1].  These packages have the following properties.

* conflict with redis from EPEL
* use an alternate name so that the redis package doesn't get an unexpected major version update
* provide the latest upstream supported versions (currently 2.8.24 and 3.0.7)

[1]: https://ius.io

Comment 4 Ruben Kerkhof 2016-04-05 14:40:52 UTC
It seems this package has changed ownership in the meantime.
Flavio, any change you can have a look?

Comment 5 Roman Valov 2016-05-17 08:02:38 UTC
Is there any news?

Comment 7 Nathan Scott 2017-08-15 06:58:21 UTC
If anyone needs this, I've produced a COPR with a more
recent version (3.2.10 currently) for el6 and el7 here:
https://copr.fedorainfracloud.org/coprs/nathans/redis3/

Comment 8 Fedora Update System 2017-08-18 01:11:51 UTC
redis-3.2.10-2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-0ad4c424f0

Comment 9 Nathan Scott 2017-08-18 01:28:03 UTC
*** Bug 853029 has been marked as a duplicate of this bug. ***

Comment 10 Fedora Update System 2017-08-18 20:18:41 UTC
redis-3.2.10-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-0ad4c424f0

Comment 11 Fedora Update System 2017-09-04 17:48:26 UTC
redis-3.2.10-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Julien Gormotte 2017-09-11 08:33:46 UTC
This is not a trivial update, a lot has changed in redis between these versions... so this breaks existing redis intallations.
I had the problem this weekend on a production server, after update, redis was broken.
Shouldn't EPEL stable be... stable ?

Comment 13 Nathan Scott 2017-09-11 08:37:39 UTC
Hi Julien,

The comments here may help solve the failure you're observing:
https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-0ad4c424f0

And yes, this was unintentional fallout - my apologies there.

cheers.

Comment 14 Julien Gormotte 2017-09-11 09:13:19 UTC
Hi,

Souldn't the update be reverted ? It is very likely that it will break other installations soon.
Maybe revert the package to 2.4.10 and add maybe a redis3 package ?

Comment 15 Nathan Scott 2017-09-11 09:27:34 UTC
Maybe.  Its a tough call IMO - one problem is this would revert important
security fixes ... :(

Comment 16 Julien Gormotte 2017-09-13 10:36:27 UTC
https://fedoraproject.org/wiki/EPEL/GuidelinesAndPolicies#A_major_version_update
This seems to indicate the change should not have happened, therefore a rollback should be the correct way, or am I mistaken ?

Comment 17 Nathan Scott 2017-09-14 00:46:25 UTC
Hi Julien,

> This seems to indicate the change should not have happened

+1; there is no question on that and as I said it was some
unanticipated fallout from the security update.  I believe
the damage is, unfortunately, done - the horse has bolted.

> therefore a rollback should be the correct way

That action does not seem to be indicated anywhere in that
document and its not clear that it will help at this stage.

It is also not a desirable outcome for those who want the
security fixes of course, which I'd presume is the silent
majority of users here.

cheers.


Note You need to log in before you can comment on or make changes to this bug.